## GrssFeedsSubscriberHandler GrssFeedsSubscriberHandler |

## Functions

void | grss_feeds_subscriber_handler_set_parent ()
gboolean | grss_feeds_subscriber_handler_check_format ()
void | grss_feeds_subscriber_handler_subscribe ()
GList * | grss_feeds_subscriber_handler_handle_incoming_message ()
void | grss_feeds_subscriber_handler_unsubscribe ()

## Types and Values

#define | GRSS_FEEDS_SUBSCRIBER_HANDLER_TYPE
enum | FEED_SUBSCRIPTION_STATUS
struct | GrssFeedsSubscriberHandlerInterface

## Object Hierarchy

        GInterface
        ╰── GrssFeedsSubscriberHandler

## Description

## Functions

### grss_feeds_subscriber_handler_set_parent ()

    void
    grss_feeds_subscriber_handler_set_parent
                                   (GrssFeedsSubscriberHandler *handler,
                                    GrssFeedsSubscriber *parent);

### grss_feeds_subscriber_handler_check_format ()

    gboolean
    grss_feeds_subscriber_handler_check_format
                                   (GrssFeedsSubscriberHandler *handler,
                                    GrssFeedChannel *channel);

### grss_feeds_subscriber_handler_subscribe ()

    void
    grss_feeds_subscriber_handler_subscribe
                                   (GrssFeedsSubscriberHandler *handler,
                                    GrssFeedChannel *channel,
                                    gchar *assigned_url);

### grss_feeds_subscriber_handler_handle_incoming_message ()

    GList *
    grss_feeds_subscriber_handler_handle_incoming_message
                                   (GrssFeedsSubscriberHandler *handler,
                                    GrssFeedChannel *channel,
                                    FEED_SUBSCRIPTION_STATUS *status,
                                    SoupServer *server,
                                    SoupMessage *msg,
                                    const char *path,
                                    GHashTable *query,
                                    SoupClientContext *client);

### grss_feeds_subscriber_handler_unsubscribe ()

    void
    grss_feeds_subscriber_handler_unsubscribe
                                   (GrssFeedsSubscriberHandler *handler,
                                    GrssFeedChannel *channel,
                                    gchar *assigned_url);

## Types and Values

### GRSS_FEEDS_SUBSCRIBER_HANDLER_TYPE

    #define GRSS_FEEDS_SUBSCRIBER_HANDLER_TYPE			(grss_feeds_subscriber_handler_get_type ())

### enum FEED_SUBSCRIPTION_STATUS

#### Members

FEED_SUBSCRIPTION_IDLE |  |
FEED_SUBSCRIPTION_SUBSCRIBING |  |
FEED_SUBSCRIPTION_SUBSCRIBED |  |
FEED_SUBSCRIPTION_UNSUBSCRIBING |  |

### struct GrssFeedsSubscriberHandlerInterface

    struct GrssFeedsSubscriberHandlerInterface {
    	GTypeInterface parent_iface;

    	void (*set_parent) (GrssFeedsSubscriberHandler *handler, GrssFeedsSubscriber *parent);
    	gboolean (*check_format) (GrssFeedsSubscriberHandler *handler, GrssFeedChannel *channel);
    	void (*subscribe) (GrssFeedsSubscriberHandler *handler, GrssFeedChannel *channel, gchar *assigned_url);
    	GList* (*handle_message) (GrssFeedsSubscriberHandler *handler, GrssFeedChannel *channel, FEED_SUBSCRIPTION_STATUS *status, SoupServer *server, SoupMessage *msg, const char *path, GHashTable *query, SoupClientContext *client);
    	void (*unsubscribe) (GrssFeedsSubscriberHandler *handler, GrssFeedChannel *channel, gchar *assigned_url);
    };